        {
        windowtime is a component to give you
        the windows' running time in real time (refresh rate : every second)
        It use a regular label, a timer and the gettickcount
        windows' function.
        To use this component simply drop it on your form.
        This component is freeware but you use it at your own risk.
        Copyright B.Standaert 2001.
        Please email me any bug at this email : tactictoe@yahoo.com
        }

unit Windowtime;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TWindowtime = class(TLabel)
  private
   Tempo : Ttimer;
   n, hou, min, sec : string;
  protected
    { Protected declarations }
    Fhour : string;
    Fminute : string;
    Fsecond : string;
    Fcopyright : String;
  public
    { Public declarations }
    constructor create (aowner: tcomponent); override;
    destructor destroy; override;
    procedure newtime(Sender: TObject);
  published
    { Published declarations }
  Property Hour:String read fhour write fhour;
  Property Minute:String read fminute write fminute ;
  Property Second:String read fsecond write fsecond;
  Property Copyright:String read fcopyright;
  end;

procedure Register;

implementation

constructor TWindowtime.create;

 begin
  inherited create (AOwner);
  Tempo := Ttimer.create (self);
  with tempo do begin
   enabled := true;
   Interval := 1000;
   ontimer := newtime;
  end;
  caption := n;
  fcopyright := ' Benot Standaert, 2001';
  end;

destructor TWindowtime.destroy;
 begin
  tempo.destroy;
  inherited destroy;
 end;

procedure Twindowtime.newtime;
 var
  x : dword;
  Y,s : real;
  ho, mi, se : extended;
 begin
        x := gettickcount;
        n := floattostr (x);
        y := strtoint (n);
        s := y / 1000;
        ho := (int (s / 3600));
        if ho < 1 then ho := 0;
        s := s - (Ho*3600);
        mi := (int (s / 60));
        if mi < 1 then mi := 0;
        s := s - (mi*60);
        se := (int (s));
        if ho < 10 then begin
        HOU := '0' + (floattostr (ho)) + ':';
        FHOUR := '0' + (floattostr (ho));
        end
        else begin
        HOU :=  (floattostr (ho)) + ':';
        FHOUR := (floattostr (ho));
        end;

        if mi < 10 then begin
        MIN := '0' + (floattostr (mi)) + ':';
        FMINUTE := '0' + (floattostr (mi));
        end
        else begin
        MIN := (floattostr (mi)) + ':';
        FMINUTE := (floattostr (mi));
        end;

        if se < 10 then begin
        SEC := '0' + (floattostr (se));
        FSECOND := '0' + (floattostr (se));
        end
        else begin
        SEC := (floattostr (se));
        FSECOND := (floattostr (se));
        end;
        N := HOU + MIN + SEC;
        caption := n;
end;


procedure Register;
begin
  RegisterComponents('Benoit Standaert', [TWindowtime]);
end;

end.
